SET NOCOUNT ON
USE TestDB1
GO
-- RowCount script based on code by Randy Dyess. Source: http://blogs.solidq.com/EN/rdyess/Lists/Posts/Post.aspx?ID=22

SELECT
    i.name                  AS IndexName,
    s.used_page_count * 8   AS IndexSizeKB
FROM sys.dm_db_partition_stats  AS s 
JOIN sys.indexes                AS i ON s.[object_id] = i.[object_id] AND s.index_id = i.index_id
WHERE s.[object_id] = object_id('Perf.Card')
ORDER BY i.name

SELECT
    i.name  AS IndexName,
    [rows]  AS 'RowCount'
FROM sys.partitions     AS p
INNER JOIN sys.indexes  AS i ON p.[object_id] = i.[object_id] AND p.index_id = i.index_id
WHERE p.[object_id] = object_id('Perf.Card')
ORDER BY i.name

